curl --request POST \
--url https://api.sigmamind.ai/v1/mock-tool-data \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"name": "Success - Order Confirmed",
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": {
"order_id": "1073460023"
},
"delay": 500
}
'import requests
url = "https://api.sigmamind.ai/v1/mock-tool-data"
payload = {
"name": "Success - Order Confirmed",
"response": { "order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": True,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
} },
"statusCode": 200,
"toolAlias": "get_order",
"toolId": "tool_X9pLm2Wq8Rt3",
"request": { "order_id": "1073460023" },
"delay": 500
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Success - Order Confirmed',
response: {
order: {
id: 1073460023,
confirmation_number: 'A50GQT45C',
confirmed: true,
created_at: '2026-07-01T16:34:26.000Z',
currency: 'EUR',
current_subtotal_price: '224.97',
current_subtotal_price_set: {
shop_money: {amount: '224.97', currency_code: 'EUR'},
presentment_money: {amount: '224.97', currency_code: 'EUR'}
}
}
},
statusCode: 200,
toolAlias: 'get_order',
toolId: 'tool_X9pLm2Wq8Rt3',
request: {order_id: '1073460023'},
delay: 500
})
};
fetch('https://api.sigmamind.ai/v1/mock-tool-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mockToolDataId": "mock_dpKjqjKnY3z6gABF",
"name": "Success - Order Confirmed",
"toolId": "tool_X9pLm2Wq8Rt3",
"toolAlias": "get_order",
"toolName": "Get Order",
"request": {
"order_id": "1073460023"
},
"response": {
"order": {
"id": 1073460023,
"confirmation_number": "A50GQT45C",
"confirmed": true,
"created_at": "2026-07-01T16:34:26.000Z",
"currency": "EUR",
"current_subtotal_price": "224.97",
"current_subtotal_price_set": {
"shop_money": {
"amount": "224.97",
"currency_code": "EUR"
},
"presentment_money": {
"amount": "224.97",
"currency_code": "EUR"
}
}
}
},
"statusCode": 200,
"delay": 500
}{
"error": "Bad Request",
"message": "Invalid request parameters",
"path": "/v1/mock-tool-data",
"status": 400,
"timestamp": "2026-09-15T06:22:16.603Z"
}{
"error": "Unauthorized",
"message": "X-API-Key is missing or invalid",
"path": "/v1/mock-tool-data",
"status": 401,
"timestamp": "2026-09-15T06:22:16.603Z"
}{
"error": "Forbidden",
"message": "Access denied for this resource",
"path": "/v1/mock-tool-data",
"status": 403,
"timestamp": "2026-09-15T06:22:16.603Z"
}{
"error": "Not Found",
"message": "The requested resource was not found",
"path": "/v1/mock-tool-data",
"status": 404,
"timestamp": "2026-09-15T06:22:16.603Z"
}{
"error": "Internal Server Error",
"message": "Unexpected server error",
"path": "/v1/mock-tool-data",
"status": 500,
"timestamp": "2026-09-15T06:22:16.603Z"
}Create Mock Tool Data
Creates a named mock tool data in the tenant mock library. Use this for manual mock tool data creation or after capturing a live tool execute. Returns the created mock including its mockToolDataId.
Authorizations
Authenticate every request by passing your API key in the X-API-Key header. To get your key, go to Dashboard → API Keys and create or copy your Production API key.
Body
Request body to create a named mock tool response in the tenant mock library.
Human-readable name for this mock, used when picking mocks in the test-case UI.
"Success - Order Confirmed"
Mocked HTTP response body returned when this mock is used during simulation.
{ "order": { "id": 1073460023, "confirmation_number": "A50GQT45C", "confirmed": true, "created_at": "2026-07-01T16:34:26.000Z", "currency": "EUR", "current_subtotal_price": "224.97", "current_subtotal_price_set": { "shop_money": { "amount": "224.97", "currency_code": "EUR" }, "presentment_money": { "amount": "224.97", "currency_code": "EUR" } } } }
HTTP status code to return when this mock is used.
200
Agent tool alias this mock is bound to.
"get_order"
Identifier of the integration tool this mock belongs to. Optional when toolAlias can uniquely resolve the tool.
"tool_X9pLm2Wq8Rt3"
Optional request payload (or placeholders) associated with this mock, for documentation and capture.
{ "order_id": "1073460023" }
Artificial delay in milliseconds before returning the mock response. Defaults to 0.
500
Response
Created
A mock tool response stored in the tenant mock library.
Public identifier of the mock tool data record.
"mock_dpKjqjKnY3z6gABF"
Human-readable name for this mock.
"Success - Order Confirmed"
Public identifier of the integration tool this mock belongs to.
"tool_X9pLm2Wq8Rt3"
Agent tool alias this mock was created against.
"get_order"
Display name of the tool at the time the mock was created.
"Get Order"
Request payload (or placeholders) associated with this mock.
{ "order_id": "1073460023" }
Mocked HTTP response body.
{ "order": { "id": 1073460023, "confirmation_number": "A50GQT45C", "confirmed": true, "created_at": "2026-07-01T16:34:26.000Z", "currency": "EUR", "current_subtotal_price": "224.97", "current_subtotal_price_set": { "shop_money": { "amount": "224.97", "currency_code": "EUR" }, "presentment_money": { "amount": "224.97", "currency_code": "EUR" } } } }
HTTP status code returned when this mock is used.
200
Artificial delay in milliseconds before returning the mock response.
500